# BlockRing™ Technology : leading the 4th ®Evolution

We as humanity are awakening to a new way of conducting business, to
organize ourselves and exchange with one another.

This is due to the convergence of 3 points:

* instant access to knowledge and data everywhere, anytime.
* access to local renewable energy
* ledger technologies (immutability in space time)

</div><br><div class=content>
## The technology 

In order to understand the potential impact on humanity, you have to grasp
the marvel of blockchain technologies.

<quote>"A blockchain is ledger which is cryptographically locked with
a consensus protocol for updating it."</quote>\
\~ [Dr. Michel G. Combes][MGC]

Most pseudo anonymous chains are using Proof-of-work
or other from of Proof to protect the chain from a Sybil attack.
We choose a different approach using permissionned chain.

Our chains are "rings" therefore our blockchains are called blockRing™

what make a blockchain a blockring™:

1. origin block has a pointer to the head of the chain
2. all blockring™ have a parent ring
2. all blockrings™ have a common ancestors\
[z6cYNbecZSFzLjbSimKuibtdpGt7DAUMMt46aKQNdwfs™][emptyd-sha3-224] ([Ladonna J.][LJR][Revay](LJR.html))

In order to allow public update of "anonymous blockchain" we
developed a "[pull-request line interruption line][IRQ]" to deal with
processing the request at large and mitigate any [denial of service attack][DDoS].

Mutables are signed pointers to immutable document stored in a content-addressable-storage.
in order to have fast signature scheme we use a "symetric signature" i.e. a one-time-secret shared with the validator
it a little bit like a [one time HMAC] to make sure the upated mutables is indeed valid.


[IRQ]: IRQ 
[DDoS]: {{DUCK}}=Denial+or+Service+on+Distributed+Hash+Table+and+anonymous+services+SPAM+attacks

</div><br><div class=content>
## The Opportunity 

Modern Technology give us the mean to solve this today, in never achieved manner.

With this technology was now have a very powerful tool to completely
change humanity, imagine you have now access the [world golden book][WGB]
and we can collectively edit it all together, you even have your own section [here](peerid.htm);
this is the ultimate collaborative tools.

How to solve a problem when you are by the 1000s,
with blockRing™ it is not a problem anymore

To read more about the process, here is a [French article][1] about it

</div><br><div class=content>

Below is a list of educational material about the eco-social blockchain : blockRing™

* [Mathew ][MMS][S.](MMS.html) is empty handed
* [Kathie ][KVM][M.](KVM.html) is not anymore !


[emptyd-sha3-224]: http://gateway.ipfs.io/ipfs/z6cYNbecZSFzLjbSimKuibtdpGt7DAUMMt46aKQNdwfs
[LJR]: {{DUCK}}=!g+"Ladonna J. Revay"
[MMS]: {{DUCK}}=!g+"Mathew M. Skeele"
[KVM]: {{DUCK}}=!g+"Katie V. Milcher"
[LJT]: {{DUCK}}=!g+"Laurie J. Thammorongsa"

[WGB]: {{DUCK}}=!g+world+golden+book+%23IPHS
[MGC]: {{DUCK}}=!g+"Dr. Michel G. Combes"

[1]: http://ricetm.gq/spec.htm
